Subject: Update: Re: Updated patches: Re: bug#8441: Patches making libtool-2.4-1 build under GNU/Hurd

From: Svante Signell <[email-masked]>
Date: Fri, 08 Apr 2011 16:37:48 +0200

On Fri, 2011-04-08 at 09:01 +0200, Svante Signell wrote:
> On Thu, 2011-04-07 at 20:24 +0200, Ralf Wildenhues wrote:
> > * Svante Signell wrote on Thu, Apr 07, 2011 at 08:20:55PM CEST:
> > > On Thu, 2011-04-07 at 20:06 +0200, Ralf Wildenhues wrote:
> > > > > --- libtool-2.4/tests/cmdline_wrap.at.orig	2010-05-20 23:18:41.000000000 +0200
> > > > > +++ libtool-2.4/tests/cmdline_wrap.at	2011-02-06 11:08:29.000000000 +0100
> > > > > @@ -30,6 +30,9 @@
> > 
> > > > > +# Setting low max_cmd_len on "hurd-386" does not make sense"
> > > > > +AT_CHECK([if test "$host_os" == "gnu" ; then exit 77; fi])
> > > > 
> > > > Please use = not ==, the former is Posix test, the latter bash-specific.
> > > 
> > > OK, do you want me to send an update?
> >
> > I can't speak for Kurt, I only help maintain upstream.  ;-)
> 
> Updated!
> 
> > > > Does this test actually fail on hurd-i386, or is this just because you
> > > > consider it wasted time?  In the former case, please send the patch
> > > > upstream but also show a cut-n-paste of the failing test log.
> > > 
> > > Yes, this test fails without the patch. I'll build an unpatched version
> > > and submit the failing test log.

I was wrong about the cmdline_wrap.at build failure, supplied in
disable_cmdline_wrap4hurd.patch. Without the patch libtool built fine:
The test 112 (and 106) failures was fixed by the updated
link_all_deplibs.patch. Sorry about that, but building (and especially
testing) libtool takes a very long time for each patch change in my qemu
VM.